- Qt 5.15
- Qt 3D
- C++ Classes
- QInputSettings
- Qt 5.15.11 Reference Documentation

# QInputSettings Class

class Qt3DInput::QInputSettings

QInputSettings class holds the pointer to an input event source object. More...

Header: | #include <QInputSettings>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | InputSettings
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- eventSource : QObject*

## Public Functions

QObject * | eventSource() const

## Public Slots

void | setEventSource(QObject *eventSource)

## Signals

void | eventSourceChanged(QObject *)

## Detailed Description

The QInputSettings component must be set as a component of the scene root entity. It stores a pointer to the object that acts as the source of input events to be handled by various input classes. For example, a QWindow instance can be an event source.

See also QMouseDevice and QKeyboardDevice.

## Property Documentation

### eventSource : QObject*

Holds the current event source. An event source is an object that is capable of receiving various input events, such as mouse or keyboard events. Typically it is a QWindow instance.

Access functions:

QObject * | eventSource() const
void | setEventSource(QObject *eventSource)

Notifier signal:

void | eventSourceChanged(QObject *)